Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion
Class EPPSuggestionInfoCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPInfoCmd
              com.verisign.epp.codec.suggestion.EPPSuggestionInfoCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPSuggestionInfoCmd

extends EPPInfoCmd

Represents an EPP Suggestion <info> command that is used to retrieve domain name suggestions. The <suggestion:info> element MUST contain the following child elements:

- A <suggestion:key> element that contains the domain name or keywords for which suggestions are requested. Use `getKey` and `setKey` to get and set the element.
- A <suggestion:language> element that contains the language for which suggestions are requested. Use `getLanguage` and `setLanguage` to get and set the element. If not specified, this element defaults to ENG (english)

`EPPSuggestionInfoResp` is the concrete `EPPReponse` associated with `EPPSuggestionInfoCmd`.

Author:
  jcolosi
See Also:
  `EPPSuggestionInfoResp`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPSuggestionInfoCmd()` Constructor.
`EPPSuggestionInfoCmd(java.lang.String aTransId)` Constructor.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPCommand`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Must be defined by `EPPInfoCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Must be defined by `EPPInfoCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree.
`boolean` | `equals(java.lang.Object o)` Compares an instance of `EPPInfoCmd` with this instance.
`EPPSuggestionFilter` | `getFilter()` Filter getter.
`UnsignedLong` | `getFilterId()` FilterId getter.
`java.lang.String` | `getKey()` Key getter.
`java.lang.String` | `getLanguage()` Returns the value for the `language` element, which should be one of the `EPPSuggestionConstants` language code constants.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPSuggestionInfoCmd`.
`void` | `setFilter(EPPSuggestionFilter aFilter)` Filter setter.
`void` | `setFilterId(long aFilterId)` Filter id setter.
`void` | `setFilterId(UnsignedLong aFilterId)` Filter id setter.
`void` | `setKey(java.lang.String aKey)` Key setter.
`void` | `setLanguage(java.lang.String aLanguage)` Set the desired `language` code.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
`void` | `unsetFilterId()` Unset the filter id.

Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPSuggestionInfoCmd

    public EPPSuggestionInfoCmd()

  Constructor.

### EPPSuggestionInfoCmd

    public EPPSuggestionInfoCmd(java.lang.String aTransId)

  Constructor.

  Parameters:
    `aTransId` - a transaction id

Method Detail

### getFilter

    public EPPSuggestionFilter getFilter()

  Filter getter.

  Returns:
    a filter

### getFilterId

    public UnsignedLong getFilterId()

  FilterId getter.

  Returns:
    a filter id

### getKey

    public java.lang.String getKey()

  Key getter.

  Returns:
    a key

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPSuggestionInfoCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPSuggestionMapFactory.NS`

### setFilter

    public void setFilter(EPPSuggestionFilter aFilter)

  Filter setter.

  Parameters:
    `aFilter` - a filter

### setFilterId

    public void setFilterId(long aFilterId)
                     throws InvalidValueException

  Filter id setter.

  Parameters:
    `aFilterId` - a filter id
  Throws:
    `InvalidValueException`

### setFilterId

    public void setFilterId(UnsignedLong aFilterId)

  Filter id setter.

  Parameters:
    `aFilterId` - a filter id
  Throws:
    `InvalidValueException`

### unsetFilterId

    public void unsetFilterId()

  Unset the filter id.

### setKey

    public void setKey(java.lang.String aKey)

  Key setter.

  Parameters:
    `aKey` - a key

### getLanguage

    public java.lang.String getLanguage()

  Returns the value for the `language` element, which should be one of the `EPPSuggestionConstants` language code constants.

  Returns:
    Language code with the default being `EPPSuggestionConstants.ENGLISH_CODE`
  See Also:
    `EPPSuggestionConstants.ENGLISH_CODE`, `EPPSuggestionConstants.GERMAN_CODE`, `EPPSuggestionConstants.SPANISH_CODE`, `EPPSuggestionConstants.PORTUGUESE_CODE`, `EPPSuggestionConstants.FRENCH_CODE`

### setLanguage

    public void setLanguage(java.lang.String aLanguage)

  Set the desired `language` code.

  Parameters:
    `aLanguage` - One of the `EPPSuggestionConstants` language code constants.
  See Also:
    `EPPSuggestionConstants.ENGLISH_CODE`, `EPPSuggestionConstants.GERMAN_CODE`, `EPPSuggestionConstants.SPANISH_CODE`, `EPPSuggestionConstants.PORTUGUESE_CODE`, `EPPSuggestionConstants.FRENCH_CODE`

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Description copied from class: `EPPInfoCmd`
  Must be defined by `EPPInfoCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree. `doGenDecode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Specified by:
    `doDecode` in class `EPPInfoCmd`
  Parameters:
    `aElement` - Root DOM Element representing the `EPPInfoCmd` extension instance.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`.

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Description copied from class: `EPPInfoCmd`
  Must be defined by `EPPInfoCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree. `doGenEncode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Specified by:
    `doEncode` in class `EPPInfoCmd`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the EPPInfoCmd extension instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPInfoCmd extension instance.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from class: `EPPCommand`
  Clone `EPPCommand`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPCommand`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object o)

  Description copied from class: `EPPInfoCmd`
  Compares an instance of `EPPInfoCmd` with this instance.

  Overrides:
    `equals` in class `EPPInfoCmd`
  Parameters:
    `o` - Object to compare with.
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.